photo

PIV Support

shared this idea
2 years ago

Statistics

2
Comments
1
Views

Relates to

Share

2
votes

Open-Realty® v3.3.0, TransparentMAPS v3.2 and TransparentRETS v2.2.2 updates released. PHP v7.0 supported

OR v3.3 (bug fixes and new features)

http://www.open-realty.org/blog/open-realty%26reg-v33.html

TMAPS v3.2 (bug fix and new features)

http://www.open-realty.org/blog/transparentmaps-32.html

TRETS v2.2.2 (maintenance release)

http://www.open-realty.org/blog/transparentrets-222.html

Lots of new stuff in OR and TMAPS, a few items of interest:

  • PHP version 5.6 and 7.0 is required. Earlier versions of PHP are no longer supported
  • The TMAPS and TRETS updates require OR v3.3.

  • DB functions using native PHP mysql drivers were replaced with PDO for PHP 7 compatibility

  • ionCube v5.1.1 or greater is required if using PHP v5.6, and ionCube v6.1+ for PHP v7.0
  • TMAPS Requires that you set your Latitude and Longitude fields in OR's Site Config -> Listings Tab under "Map Settings". This will break your maps until set.
  • Javascript used for OR's listing_detail_slideshow template has been moved from core to the template so it can be modified.

Add Comment

Comments (2)

photo
1

Thanks very much for this.

Just a heads up but Transparent have confirmed that IDXManager update is due soon and uses of that addon will need to wait before updating OR.

photo
2

Any idea on PHP 7.1 or higher?

End of Life for PHP 5.6 and 7.0 is December 2018.

Leave Comment

photo

Attach files...

The file must be a jpg, gif, png, bmp, ico, pdf, doc, rtf, txt, zip or rar no more than 20M